Gaupol 0.15.1
=============

 * Fix complete breakage of opening subtitle files due to a change in
   newline handling of codecs.open in Python 2.6.5
 * Use existing subtitle file mime-types instead of text/plain when
   adding files to the recent files database
 * Add German translation (Chris Leick)
 * Add Hungarian translation (László Andrássy)

Gaupol 0.15
===========

 * Add text correction task to split joined words or to join split
   words using spell-check suggestions (#572667)
 * Show duration in time mode as seconds
 * Merge Latin and French common error text correction patterns from
   subtitleeditor (kitone)
 * Allow pasting times with comma as a decimal separator (#580339)
 * Allow bookmarks to be added or removed by double-clicking or
   pressing enter in the bookmark column (#580346)
 * Add validation for character encoding given as an argument on the
   command line using the '-e' option
 * Fix handling of Unicode BOMs (#568906)
 * Add UTF-8-SIG character encoding for opening and saving files
   with a UTF-8 signature/BOM
 * Fix incorrect handling of common error patterns that at worst
   caused gaupol to hang due to an eternal loop (#581003)
 * Abort installation if an intltool-merge or msgfmt call fails
 * Add messages for raised exceptions

Gaupol 0.14
===========

 * Add an extension system (documentation to follow later)
 * Add two extensions: side pane and bookmarks
 * Adher to the home directory part of freedesktop.org's
   XDG Base Directory Specification
 * Handle reading and writing files with a UTF-8 BOM (#556956)
 * Save SSA and ASS files with '\N' linebreaks instead of '\n'
 * Resize columns after running text corrections
 * Make removing a large amount of subtitles significantly faster
 * Fix GtkWarning: GtkSpinButton: setting an adjustment with
   non-zero page size is deprecated
 * Remove deprecated Encoding-field from desktop file
 * Fix search dialog to not modify obsolete data (#572676)
 * Fix character count error with Unicode text
 * Fix updating of filenames in the projects menu
 * Fix erroneous cleaning of SubRip markup after removing hearing
   impaired subtitles
 * Fix open dialog file filter to list files with upper- and mixed
   case extensions as well
 * Fix AssertionError when installing multiple times
 * Switch version-control systems from subversion to git

Gaupol 0.13.1
=============

 * Fix error saving subtitle files when trying to quit with unsaved
   changes in multiple documents (#552129)
 * Add all open projects as a target to the position shift dialog
 * Remove redundant tags with the SubRip format when doing automatic
   text corrections, e.g. removing hearing impaired texts

Gaupol 0.13
===========

 * Raise PyGTK dependency to 2.12 or greater
 * Remove misuse of assertions that broke some parts of Gaupol, when
   used with Python's optimization (-O switch)
 * Preserve additional fields in SSA/ASS files
 * Preserve coordinate fields in extended SubRip format
 * By default always use UTF-8 character encoding for preview
   (#522868, Beni Cherniavsky, Osmo Salomaa)
 * Allow reordering of columns
 * Resize columns when their visibility is toggled
 * Allow comments (starting with number signs) in pattern files
 * Allow grouping of correction patterns under the same name
 * Improve commmon error patterns for spaces around quote marks
 * Fix error with encoding auto-detection (#10278)
 * Fix error starting spell-check if no dictionary (#10526)
 * Fix preview error dialog if video player not found (#518981)
 * Fix subtitle number search after subtitle removals or inserts
 * Fix error displaying right-click menu in cells (kitone)
 * Fix IndexError with multiline tags in text cells (#547170)
 * Fix window type and transientness for preferences dialog
 * Fix error closing the search dialog from the window titlebar
 * Fix updating of Alt+NUM shortcut keys
 * Fix color markup tag conversions with various formats
 * Fix conversions of font tags with the SubRip format
 * Replace --adapt-translation option with --align-method
 * Replace --debug option with using environment variable GAUPOL_DEBUG
 * Add GenericName field to the desktop file
 * Add mimetypes application/x-subrip, text/x-microdvd,
   text/x-mpsub, text/x-ssa and text/x-subviewer to the desktop file
 * Fix spell-check language listing with recent versions of Enchant
 * Run 'update-desktop-database' in setup.py if --root not given
 * Move profile directory on Windows to %APPDATA%/Gaupol

 The five digit bug numbers refer to the old bug tracker at Gna
 and the six digit ones to the new bug tracker at GNOME Bugzilla.

Gaupol 0.12.3
=============

 * Fix error in splitting frame-based subtitle projects (#10200)
 * Fix UnboundLocalError with preview (#10203)

Gaupol 0.12.2
=============

 * Fix tag conversions that removed text (#10140)
 * Fix spacing issues in open and save dialogs

Gaupol 0.12.1
=============

 * Fix text correction assistant's capitalization task
 * Fix remaining NameErrors with function arguments (#10034)

Gaupol 0.12
===========

 * Add a capitalization task to the text correction assistant
 * Add "All supported files" filter to the open dialog
 * Fix error saving after splitting project (#10041)
 * Fix NameErrors with lambda functions (#10034)
 * Fix error opening SubRip file if the first line is blank (#10054)
 * Fix markup tooltip hack to work with (Py)GTK 2.12
 * Remove license page from the Windows installer
 * Include iso-codes with the Windows installer

Gaupol 0.11
===========

 * Add a line-break task to the text correction assistant
 * Add menu-items and keybindings for extending the current
   selection up to the first or the last subtitle without moving
   focus or scrolling (#9895)
 * Add missing "Auto-detected" encoding entry in the file dialogs
 * Save search history to $HOME/.gaupol/search instead of the
   configuration file to avoid quoting problems
 * Enable rubber-banding (selection of multiple rows by dragging
   the mouse) in the subtitle list
 * Add support for creating a Windows .exe with py2exe and a
   Windows installer with Inno Setup

Gaupol 0.10
===========

 * Add a common error correction task for the text assistant
 * Fix default values of two configuration variables
 * Fix a selection bug in the text assistant confirmation page
 * Fix tag parsing error with multiple sets of tags on one line
 * Fix text cell renderer font sizes on Windows
 * Fix web browser launch on Windows
 * Fix recent file URI handling on Windows
 * Fix preview on Windows
 * Fix temporary file removals on Windows

Gaupol 0.9
==========

 * Raise Python dependency to 2.5.1 or greater (#9685, this
   should have been done already for 0.8.)
 * Add a text correction assistant (Tools / Correct Texts)
 * Add a hearing impaired text removal task for the text
   correction assistant
 * Fix notification issue, which caused at least that in some cases
   the tab labels and the window title didn't update
 * Add quoting for number signs in the configuration file to avoid
   them being misinterpreted as in-line comments
 * For reading and writing non-xml files in $HOME/.gaupol, always
   try the locale encoding first and if it fails, use UTF-8

Gaupol 0.8
==========

 * Python dependency raised to 2.5 or greater
 * PyGTK dependency raised to 2.10 or greater
 * License changed to GPL v3 or later
 * Configuration file backend and syntax changed; old configurations
   are discareded
 * Line lengths optionally shown on all text elements
 * Allow negative values in time and frame cells
 * Better (more preserving) handling of blank lines as well as
   leading and trailing spaces when opening files
 * Fixed numerous bugs with find and replace, especially when
   searching for zero-length regular expressions
 * Notify of invalid regular expressions when searching (#6690)
 * Regular expression searches are now always MULTILINE and DOTALL
 * Search notifications moved to main window's statusbar
 * Migrated to gtk.RecentManager and gtk.RecentChooser
 * Added a menu for recent translation files
 * Added "Text" menu to replace "Format", "Search" and part of "Edit"
 * Simplified and changed several keycombos
 * Tabs can now be freely reordered
 * Added more informative tooltips on tabs
 * Fixed cropped close button images on tabs
 * Redesigned search and spell-check dialogs
 * Redesigned position tranformation dialog to be less tall
 * Faster updates when inserting and removing subtitles
 * Subtitle number search now starts only on numeric key-presses
 * Use per-stream options (:option instead of --option) in default
   VLC preview command
 * Subtitle file and video file paths in preview commands are now
   automatically escaped and quoted
 * Use exact framerates in calculations (e.g. 24000/1001) and rounded
   integers in the user interface (e.g. 24)
 * Splitting a subtitle no longer duplicates texts
 * Position shift amount now always defaults to zero
 * Fixed a bug in the time entry validation
 * Fixed sensitivity of "Adjust Positions..." menu item (#7255)
 * Show confirmation dialog when closing a file that no longer exists
 * Applied GNOME Goal #3: Remove "Application" category from
   .desktop files
 * Changed icon colors have a bit more contrast
 * SRTX support dropped
 * Added --config-file, --debug, --encoding, --list-encodings,
   --translation-file, --adapt-translation,  --video-file and
   +[NUM] options
 * Added a manual page to document all options
 * Fixed translatable strings with multiple arguments in python files
   to use named fields and mappings
 * Source code directory structure changed
 * Uninstallation feature removed

Gaupol 0.7.1
============

  Changes:
    * Fixed cell renderers to work with GTK and PyGTK 2.10
    * Fixed MicroDVD tag conversion errors (Bug #6938)
    * Fixed issue of disappearing tags when converting case

  Updated translations:
    * Polish (pl)


Gaupol 0.7.0
============

  New:
    * Append file
    * Split project

  Changes:
    * Fixed error opening file if no locale encoding set (bug #6319)
    * Catch OSError in case saving file fails and temporary backup copy is
      restored (bug #6316)
    * Fixed error launching preview if no column focused
    * Improved blank line handling of subtitle merge
    * setup.py: AUTHORS, COPYING and README files no longer installed


Gaupol 0.6.0
============

  New:
    * Subtitle split and merge
    * Smarter translation file opening
    * Show .srtx files as images
    * Support TMPlayer subtitle file format

  Changes:
    * Copy-paste now works from one project to another
    * Fixed target radio button defaults in case of no selection
    * Changed some keybindings
    * setup.py: Fixed paths module generation in case --root option given with
      a trailing directory separator


Gaupol 0.5.0
============

  New:
    * Find and replace, including regular expressions
    * Character encoding auto-detection
    * Support MPlayer's MPsub subtitle file format

  Changes:
    * New icon, as both PNG and SVG
    * Applied GNOME Goal 2.1: Install theme-friendly icons
    * Icon field in the desktop file no longer contains extension
    * Warning dialog displayed if opening unsorted file
    * Separate, locally overridable, header template files
    * Support MicroDVD headers ("{DEFAULT}{}{...}" lines)
    * Time decimal changed from comma (",") to period (".")
    * Framerate conversion available for time-based subs as well
    * Dialogs are again resizable to be smaller
    * Fixed spell-check recursion bugs
    * Fixed bug #6235: double-click on subtitle item cause exception
    * "Unselect All" menu item removed
    * "Save A Copy..." menu items removed
    * Unified target specifications in dialogs
    * Spell-check suggestion list now scrolls to top with new word
    * Gaupol no longer hangs if video player not closed before exit
    * Debug dialog no longer fails to start if PyEnchant not installed
    * Video selection dialog's file filter now defaults to video
    * Support default browsers on KDE and Mac OSX as well
    * Better video player defaults on Windows
    * Testing framework made compatible with py.test
    * Desktop file strings are now translated in .po files
    * Developer-specific options to gaupol made into separate scripts
    * setup.cfg no longer specifies prefix or optimization
    * Added clean command to setup.py
    * General polish here and there

  Dependencies:
    * Psyco no longer used
    * New optional dependency of Universal Encoding Detector (chardet)

  New Translations:
    * Polish (pl)


Gaupol 0.4.1
============

  Bug Fixes:
    * #5880: Framerate conversion returns an error

  New Translations:
    * Miguel Latorre: Spanish (es)


Gaupol 0.4.0
============

  New Features:
    * Time shift
    * Time adjustment
    * Duration adjustment
    * Framerate conversion
    * Partial support for SSA & ASS formats

  Bug Fixes:
    * Various errors in Micro DVD tag conversions
    * Newline counted as a character in text length statusbar
    * Rounding errors when undoing after having edited in unnative mode
    * Template header not written when converting to SubViewer 2.0 format
    * Distutils commands sdist and bdist_* broken

  New Translations:
    * Gil Forcada: Catalan (ca)


Gaupol 0.3.4
============

  Improvements:
    * Support SubViewer 2.0 format

  Bug Fixes:
    * Start-up fails if PyEnchant is not installed
    * Spell-check "Join Forward" button does not work


Gaupol 0.3.3
============

  Improvements:
    * Preview current data instead of saved file
    * Allow selecting arbitrary video file
    * New toolbar for video
    * New window for video player output
    * Pre-configured commands for more than one video player

  Bug Fixes:
    * Spell-check not working with new PyEnchant releases 1.1.4 and 1.1.5
    * File marked unchanged after saving a copy of it
    * Overwrite dialog not always presented when saving
    * Open button on the main toolbar missing tooltip
    * Open dialog not always defaulting to directory of last opened file


Gaupol 0.3.2
============

  Bug Fixes:
    * #5046: MPlayer freezes in preview


Gaupol 0.3.1
============

  Improvements:
    * Save file before preview only if the file is changed
    * Have the spell-check dialog use the customizable editor font


Gaupol 0.3.0
============

  New Features:
    * Preview function

  Improvements:
    * Smarter dialog sizes

  Bug Fixes:
    * Spell-check menu- and toolbar items grayed out when shouldn't
    * Unexpected exits return value 0
    * Exception not raised when version check fails on IOError
    * Toggling dialog lines fails if document is unsaved
    * Italicization menu item not grayed out when document is unsaved


Gaupol 0.2.0
============

  New Features:
    * Spell-check
    * Debug dialog

  Improvements:
    * Ability to try multiple character encodings when opening a file
    * Opening multiple files at once with the open dialog
    * Moving to edit an adjacent cell with Alt+Arrow keys
    * Smarter uninstallation

  Dependencies:
    * PyGTK dependency raised to 2.8
    * Introduced PyEnchant 1.1.3 dependency
    * Introduced optional iso-codes dependency

  Translations:
    * Finnish (fi) translation removed

  Lots of code has been redesigned and rewritten. Most importantly the
  undo/redo system, the configuration module and all GUI building and updating
  functions have been rewritten. Separation between base and gtk modules is now
  far more sensible and should better suit possible alternative user
  interfaces.


Gaupol 0.1.1
============

  Fixes:

    - Bug #2816: Settings not being saved.
    - Write correct version number to config file.


Gaupol 0.1.0
============

  Initial release.
